<?php
/*
Plugin Name: wp-addpub
Plugin URI: http://www.wareteam.com/wp-addpub-banners-management-wordpress-plugin/en/
Description: Banners Management (images, flash and html code) - can be used to customize banners by language or by category using zone and filter fields
Author: Yassine HANINI
Version: 1.2.2
Author URI: http://www.yassine-hanini.info/
*/

function setup() {
		global $wpdb, $table_prefix;

        $table_banners  = $table_prefix . "addpub";

        if ( !$wpdb->get_results("SHOW TABLES LIKE '%$table_banners%'") )  {

          $table_WP_Banners = "CREATE TABLE `$table_banners` (
                            `ID` INT( 4 ) NOT NULL AUTO_INCREMENT PRIMARY KEY ,
                            `title` TEXT NOT NULL ,
                            `zone` TEXT NOT NULL ,
                            `filter` TEXT NOT NULL ,
                            `file_link` TEXT NOT NULL ,
                            `file_url` TEXT NOT NULL ,
                            `file_path` TEXT NOT NULL ,
                            `width` VARCHAR( 255 ) NOT NULL ,
                            `height` VARCHAR( 255 ) NOT NULL ,
                            `target` VARCHAR( 255 ) NOT NULL ,
                            `version` VARCHAR( 255 ) NOT NULL ,
                            `html_code` TEXT NOT NULL ,
                            `active` TINYINT( 1 ) NOT NULL ,
                            `lang_id` TINYINT( 3 ) NOT NULL
                            ) ENGINE = InnoDB;";
          $wpdb->query( $table_WP_Banners );
          $pre = apply_filters( 'option_WP-Addpub_Version' , "1.2.2" );
        }
}

### Function: Load swfobject Javascript
add_action('wp_head', 'load_swfobject');

function load_swfobject() {
	echo "\n".'<!-- Start Of Script Generated By wp-addpub 1.2.2 -->'."\n";
	wp_register_script('wp-addpub', '/wp-content/plugins/wp-addpub/swfobject.js');
	wp_print_scripts(array('wp-addpub'));
	echo '<!-- End Of Script Generated By wp-addpub 1.2.2 -->'."\n";
}

/*
*	Displays a banner. Use it in frontend
*	@function  wp_addpub
*	@param type string : bannerID and/or zone and/or filter (ex: "")
*   @example "zone=sidebar&filter=FR"
*	@return boolean
*/

function wp_addpub($args = "") {
    global $wpdb, $table_prefix;

    $table_banners  = $table_prefix . "addpub";

    load_plugin_textdomain('wp-addpub', "wp-content/plugins/wp-addpub/");

    $defaults = array(
		'bannerID' => false, 'zone' => '', 'filter' => '', 'random' => 'false'
	);

	$r = wp_parse_args( $args, $defaults );
	extract($r, EXTR_SKIP);

	$WHERE = "";
    $ORDERBY = "";

    if ( $r['bannerID'] != '')  { $bannerID = $r['bannerID'];  $WHERE = "ID = '$bannerID' ";}
    if ( $r['zone'] != '')      { $zone = $r['zone']; if ( $WHERE ) $WHERE .= "AND zone = '$zone' "; else $WHERE = "zone = '$zone' ";}
    if ( $r['filter'] != '')    { $filter = $r['filter']; if ( $WHERE ) $WHERE .= "AND filter = '$filter' "; else $WHERE = "filter = '$filter' ";}
    if ( strtolower($r['random']) === "true")    { $ORDERBY = "ORDER BY RAND()";} 
    
    if ( !$WHERE ) $WHERE = "1 = 1";

    $mimetypes = array ('jpg|jpeg|jpe' => 'image/jpeg',
    		'gif' => 'image/gif',
    		'png' => 'image/png',
            'swf' => 'application/x-shockwave-flash');


        // get banner row
        $sql = 'SELECT * FROM '.$table_banners.' WHERE '.$WHERE.' '.$ORDERBY.' LIMIT 1;';
        $Recordset = $wpdb->get_results( $sql  );

        if ( count($Recordset) == 1 ) {
          if ( $Recordset[0]->active ) {
            $ext = wp_check_filetype ($Recordset[0]->file_path, $mimetypes );

            if ( $ext["ext"] == "swf" )  {
               echo '<div id="wp-banner_div"></div>';
               echo "<script type=\"text/javascript\">
                 var so = new SWFObject(\"wp-content/plugins/wp-addpub/swfload.swf?src=".urlencode($Recordset[0]->file_url)."&href=".urlencode($Recordset[0]->file_link)."&target=".$Recordset[0]->target."\", \"".addslashes($Recordset[0]->title)."\", \"".$Recordset[0]->width."\", \"".$Recordset[0]->height."\", \"".$Recordset[0]->version."\");
                 so.write(\"wp-banner_div\");
              </script>";
              return true;
            } else{
              echo stripslashes($Recordset[0]->html_code);
              return true;
            }
          } else {
            return false;
          }
         } else {
            return false;
         }

}

// Installation/Initialization Routine
if (isset($_GET['activate']) && $_GET['activate'] == 'true')
	add_action('init', 'setup');

### Add wp_addpub_admin_head function to init for post action in backend
add_action('init', 'wp_addpub_admin_head');

function wp_addpub_admin_head() {
    global $wpdb, $table_prefix;

    $table_banners  = $table_prefix . "addpub";

    $location = get_option('siteurl') . '/wp-admin/options-general.php?page=wp-addpub/wp-addpub.php'; // Form Action URI

    // activate /desactivate status
    if ( $_GET['action'] == "switch" && !empty($_GET['id'])) {
      $sql = 'SELECT active FROM '.$table_banners.' WHERE ID = "'.$_GET["id"].' LIMIT 1";';
      $active = $wpdb->get_col( $sql  );

      if ( $active[0] ) {
          $sql = "UPDATE $table_banners SET active = 0 WHERE ID = '".$_GET["id"]."';";
          $wpdb->query ( $sql );
          $action = '&action=desactivated';
      } else {
          $sql = "UPDATE $table_banners SET active = 1 WHERE ID = '".$_GET["id"]."';";
          $wpdb->query ( $sql );
          $action = '&action=activated';
      }
      wp_redirect ( $location.$action );

    }

    // Delete
    if ( $_GET['action'] == "delete" && !empty($_GET['id'])) {
          $sql = 'SELECT file_url FROM '.$table_banners.' WHERE ID = "'.$_GET["id"].' LIMIT 1";';
          $file_url = $wpdb->get_col( $sql  );

          @unlink($file_url[0]);

          $sql = 'DELETE FROM '.$table_banners.' WHERE ID = "'.$_GET["id"].'";';
          $wpdb->query ( $sql );
          $action = '&action=deleted';
          wp_redirect ( $location .$action );

    }
}

function wp_addpub_page() {

    global $wpdb, $table_prefix;

    $table_banners  = $table_prefix . "addpub";

    $location = get_option('siteurl') . '/wp-admin/options-general.php?page=wp-addpub/wp-addpub.php'; // Form Action URI

    load_plugin_textdomain('wp-addpub', "wp-content/plugins/wp-addpub/");

    $msg = "";
    $mimetypes = array ('jpg|jpeg|jpe' => 'image/jpeg',
    		'gif' => 'image/gif',
    		'png' => 'image/png',
            'swf' => 'application/x-shockwave-flash');

    if ( $_POST && $_POST['actionflag'] == "addbanner") {
       ###########
       # Add new banner
       ###########

        if ( "" == $_POST['banner_title'] ) { $msg .= __("Title is required.",'wp-addpub')."<br />"; }
        if ( "" == $_FILES['banner_file']['name'] && $_POST['banner_type'] == "file")  { $msg .= __("File is required.",'wp-addpub')."<br />"; }

        $active = ($_POST['banner_active'] == "on")?1:0;

        $target = ($_POST['banner_target'] == "self")?"_SELF":"_BLANK";
        
        if ( $_POST['banner_link'] != "" ) 
        	$_POST['banner_link'] = sanitize_url($_POST['banner_link']);

		// check extension if not html code
        if ( $_POST['banner_type'] == "file" ) {
        	$ext = wp_check_filetype ($_FILES['banner_file']["name"], $mimetypes );
	        if ( !$ext["ext"] ) { $msg .= __("Invalid File Format.",'wp-addpub')." ".__("(Only the following format are accepted : jpg, jpeg, jpe, gif, png, swf)",'wp-addpub')."<br />"; }
        }

        if ( !$msg ) {
        $overrides = array('test_form'=>false);
        $file  =  wp_handle_upload ($_FILES['banner_file'], $overrides);

        if ( $ext["ext"] == "swf" )  {
            require_once ("swfheader/swfheader.class.php");
            $swf = new swfheader(false) ;
            $swf->loadswf($file['file']) ;
            $width = $swf->width;
            $height = $swf->height;
            $version = $swf->version;
        } elseif ( $ext["ext"] != "swf" && $ext["ext"] != "") {
            $size = @getimagesize ($file['file']);
            $width = $size[0];
            $height = $size[1];
            $version = 0;
            $htmlcode = "";

            if ( $_POST['banner_link'] )
                $htmlcode .= "<a href='".mysql_real_escape_string($_POST['banner_link'])."' target='".$target."' title='".mysql_real_escape_string($_POST['banner_title'])."'>";

                $htmlcode .= "<img src='".$file['url']."' width='".$width."px' height='".$height."px' border='0px' />";

            if ( $_POST['banner_link'] )
                $htmlcode .= "</a>";

        } elseif ( $_POST['banner_type'] == "html" ) {
        		$width = 0;
	            $height = 0;
	            $version = 0;
	            $htmlcode = $_POST['banner_html'];
        }

        // save into database
        $sql = 'INSERT INTO '.$table_banners.' (ID, title, zone, filter, file_link, file_url, file_path, width, height, target, version, html_code, active, lang_id)
        VALUES
        ("","'.mysql_real_escape_string(stripslashes($_POST['banner_title'])).'","'.mysql_real_escape_string(stripslashes($_POST['banner_zone'])).'","'.mysql_real_escape_string(stripslashes($_POST['banner_filter'])).'","'.mysql_real_escape_string(stripslashes($_POST['banner_link'])).'", "'.mysql_real_escape_string($file['url']).'", "'.mysql_real_escape_string($file['file']).'", "'.$width.'", "'.$height.'", "'.mysql_real_escape_string($target).'", "'.$version.'", "'.mysql_real_escape_string(stripslashes($htmlcode)).'", '.$active.', 0)';
        $wpdb->query( $sql  );
        }

        $success = 0;
        if ( "" == $msg ) {
        	$success = __('Banner was added successfully.','wp-addpub')."<br />";
        	$_POST = array();
        }

    } elseif ( $_POST && $_POST['actionflag'] == "editbanner" && $_POST['idbanner'] != "") {
       ###########
       # EDIT banner
       ###########

           $sql = 'SELECT * FROM '.$table_banners.' WHERE id = "'.mysql_real_escape_string($_POST['idbanner']).'";';
           $Recordset = $wpdb->get_row( $sql  );

           $file_url = $Recordset->file_url;
           $file_path = $Recordset->file_path;
           $width = $Recordset->width;
           $height = $Recordset->height;
           $version = $Recordset->version;
           
        if ( "" == $_POST['banner_title'] ) { $msg .= __("Title is required.",'wp-addpub')."<br />"; }
        if ( "" == $_FILES['banner_file']['name'] && $_POST['banner_type'] == "file" && !basename($Recordset->file_url) )  { $msg .= __("File is required.",'wp-addpub')."<br />"; }

        if ( $_POST['banner_link'] != "" ) 
        	$_POST['banner_link'] = sanitize_url($_POST['banner_link']);

        $active = ($_POST['banner_active'] == "on")?1:0;

        $target = ($_POST['banner_target'] == "self")?"_SELF":"_BLANK";
        
        if ( $_FILES['banner_file']['name'] != "" && $_POST['banner_type'] == "file") {
            $ext = wp_check_filetype ($_FILES['banner_file']["name"], $mimetypes );
            if ( !$ext["ext"] ) { $msg .= __("Invalid File Format.",'wp-addpub')." ".__("(Only the following format are accepted : jpg, jpeg, jpe, gif, png, swf)",'wp-addpub')."<br />"; }
        }
        
        if ( $file_path && $_POST['banner_type'] == "html")
              	@unlink( $file_path );

        if ( !$msg ) {

            if ( $_FILES['banner_file']['name'] != "" ) {

                @unlink( $file_path );

                $overrides = array('test_form'=>false);
                $file  =  wp_handle_upload ($_FILES['banner_file'], $overrides);


                if ( $ext["ext"] == "swf" )  {
                    require_once ("swfheader/swfheader.class.php");
                    $swf = new swfheader(false) ;
                    $swf->loadswf($file['file']) ;
                    $width = $swf->width;
                    $height = $swf->height;
                    $version = $swf->version;
                } elseif ( $ext["ext"] != "swf" && $ext["ext"] != "") {
                    $size = @getimagesize ($file['file']);
                    $width = $size[0];
                    $height = $size[1];
                    $version = 0;
                    $htmlcode = "";

                }
            } elseif ( $_POST['banner_type'] == "html" ) {
        		$width = 0;
	            $height = 0;
	            $version = 0;
	            $htmlcode = $_POST['banner_html'];
        	}
        	
            if ( $_POST['banner_link'] && $_POST['banner_type'] == "file" )
                        $htmlcode .= "<a href='".mysql_real_escape_string($_POST['banner_link'])."' target='".$target."' title='".htmlentities($_POST['banner_title'],ENT_QUOTES,get_option('blog_charset'))."'>";
			if ( $_POST['banner_type'] == "file" )
                        $htmlcode .= "<img src='".(($_FILES['banner_file']['name'] != "")?$file['url']:$file_url)."' width='".$width."px' height='".$height."px' border='0px' />";
            if ( $_POST['banner_link'] && $_POST['banner_type'] == "file" )
                        $htmlcode .= "</a>";
                        
        // save into database
        $sql = 'UPDATE '.$table_banners.' SET
        title = "'.mysql_real_escape_string(stripslashes($_POST['banner_title'])).'",
        zone = "'.mysql_real_escape_string(stripslashes($_POST['banner_zone'])).'",
        filter = "'.mysql_real_escape_string(stripslashes($_POST['banner_filter'])).'",
        file_link = "'.mysql_real_escape_string(stripslashes($_POST['banner_link'])).'", ';
        if ( $_FILES['banner_file']['name'] != "" && $_POST['banner_type'] == "file" ) {
          $sql .= 'file_url = "'.mysql_real_escape_string($file['url']).'",
          file_path = "'.mysql_real_escape_string($file['file']).'" ,
          width = "'.$width.'",
          height = "'.$height.'",
          version = "'.$version.'" ,';
        } else {
        	$sql .= 'file_url = "",
          file_path = "" ,
          width = "'.$width.'",
          height = "'.$height.'",
          version = "'.$version.'" ,';	
        }
        $sql .= 'target = "'.$target.'",
        html_code = "'.$htmlcode.'",
        active = "'.$active.'",
        lang_id = 0 WHERE
        ID = "'.$_POST["idbanner"].'"
        ';
        $wpdb->query( $sql  );
        }

        $success = 0;
        if ( "" == $msg ) {
        	$success = __('Banner was modified successfully.','wp-addpub')."<br />";
        	$_POST = array();
        }
    }
?>
<div class="wrap">
  <h2><?php _e("Banners management",'wp-addpub');?></h2>
  <?php echo "<small><a href='".$location."#add-new-banner'>";_e("Add a banner", "wp-addpub");echo "</a></small>";?>
  <div id="message" class="fade"><p><strong>
  <?php
   switch ( $_GET['action'] ) {
     case "deleted":
         _e("Banner was deleted.",'wp-addpub');
     break;
     case "activated":
         _e("Banner was activated.",'wp-addpub');
     break;
     case "desactivated":
         _e("Banner was deactivated.",'wp-addpub');
     break;
   }
   if ( $success ) echo $success;
  ?></strong></p></div>
  <br style="clear: both;"/>
  <table class="widefat">
	<thead>
	<tr>

	<th scope="col"><div style="text-align: center;">ID</div></th>
	<th scope="col"><?php _e("Title",'wp-addpub');?></th>
    <th scope="col"><?php _e("Zone",'wp-addpub');?></th>
    <th scope="col"><?php _e("Filter",'wp-addpub');?></th>
    <th scope="col"><?php _e("Link",'wp-addpub');?></th>
    <th scope="col"><?php _e("Type",'wp-addpub');?></th>
    <th scope="col"><?php _e("Width",'wp-addpub');?></th>
    <th scope="col"><?php _e("Height",'wp-addpub');?></th>
    <th scope="col" colspan=4><?php _e("Action",'wp-addpub');?></th>

	</tr>
	</thead>
    <tbody class="list:post" id="the-list">
    <?php
    	// get rows
        $sql = 'SELECT * FROM '.$table_banners.';';
        $Recordset = $wpdb->get_results( $sql  );

        if ( count($Recordset) > 0 ) {
            $class = "alternate";
            foreach ($Recordset as $row) {

            if ( !$class ) $class = "alternate"; else $class = "";
            $ext = wp_check_filetype ($row->file_path, $mimetypes );

                echo "<tr class=\"".$class."\">
                  <td>".$row->ID."</td>
                  <td>".$row->title."</td>
                  <td>".$row->zone."</td>
                  <td>".$row->filter."</td>
                  <td>".$row->file_link."</td>
                  <td>".(( $ext["ext"] )?$ext["ext"]:"code")."</td>
                  <td>".(($row->width)?$row->width:"")."</td>
                  <td>".(($row->height)?$row->height:"")."</td>";
            		echo "<td align='center'>";
                	if ( $ext["ext"] ) echo "<a href='".$row->file_url."' target='_blank' title='".__("View in new window",'wp-addpub')."' >".__("View",'wp-addpub')."</a>";
             		echo "</td>";
                echo "<td align='center'><a href='".$location."&action=edit&id=".$row->ID."#add-new-banner' title='".__("Edit",'wp-addpub')."' >".__("Edit",'wp-addpub')."</a></td>";
                echo "<td align='center'><a href='".$location."&action=switch&id=".$row->ID."' >".(($row->active)?__("Desactivate",'wp-addpub'):__("Activate",'wp-addpub'))."</a></td>";
                echo "<td align='center'><a href='".$location."&action=delete&id=".$row->ID."' onclick='return confirm(\"".__("Are you sure ?",'wp-addpub')."\");'>".__("Delete",'wp-addpub')."</a></td>";
                echo "</tr>";
            }
        } else {
            echo "<tr><td colspan=8>";
            _e ("No banners found",'wp-addpub');
            echo "</td></tr>";
        }
    ?>
	</tbody>
</table>
<br /><br />
<div>
<?php
        $new = 1; // flag = new row
        // get row to edit
        if ( ($_GET['action'] == "edit" && $_GET['id'] != "" && $new) || ($_POST['actionflag'] == "editbanner" && $_POST['idbanner'] != ""  && $new) ) {
        	$id = ($_GET['id'])?$_GET['id']:$_POST['idbanner'];
           $sql = 'SELECT * FROM '.$table_banners.' WHERE id = "'.mysql_real_escape_string($id).'";';
           $Recordset = $wpdb->get_row( $sql  );

           $new = 0;  // flag = edit row
        }
?>

<h2 id="add-new-banner">
<?php
 if ( $new) _e("Add a banner", "wp-addpub"); else  _e("Edit a banner", "wp-addpub");
?>
</h2>
<?php
 if ( !$new) { echo "<small><a href='".$location."#add-new-banner'>";_e("Add a banner", "wp-addpub");echo "</a></small>"; }
?>

<?php if ( $msg ) { ?><div id="message" class="fade"><p><strong><?php echo $msg; ?></strong></p></div><?php } ?>

<div>

<form class="add:user-list:" id="addbanner" name="addbanner" method="post" enctype="multipart/form-data" action="<?php echo $location;?>">
<?php wp_nonce_field('add-banner') ?>
<table width="100%" cellspacing="2" cellpadding="5" class="editform">
    <tr class="form-field form-required">
		<th scope="row" width="33%"><?php _e('Title (required)','wp-addpub'); ?>
        <input name="actionflag" type="hidden" id="actionflag" value="<?php if ( !$new) echo "editbanner"; else echo "addbanner";?>" />
        <input name="idbanner" type="hidden" id="idbanner" value="<?php if ( !$new) echo $Recordset->ID;?>" />
        </th>
		<td width="66%"><input name="banner_title" type="text" id="banner_title" value="<?php if ( $msg || $_POST['banner_title'] != "") echo htmlentities(stripslashes($_POST['banner_title']),ENT_QUOTES,get_option('blog_charset')); elseif ( !$new && $_POST['banner_title'] == "") echo htmlentities(stripslashes($Recordset->title),ENT_QUOTES,get_option('blog_charset'));?>" /></td>
	</tr>
    <tr class="form-field">
		<th scope="row" width="33%"><?php _e('Link','wp-addpub'); ?></th>
		<td width="66%"><input name="banner_link" type="text" id="banner_link" value="<?php  if ( $msg || $_POST['banner_link'] != "" ) echo htmlentities(stripslashes($_POST['banner_link']),ENT_QUOTES,get_option('blog_charset')); elseif ( !$new && $_POST['banner_link'] == "") echo htmlentities(stripslashes($Recordset->file_link),ENT_QUOTES,get_option('blog_charset'));?>" /></td>
	</tr>
    <tr class="form-field">
		<th scope="row" width="33%"><?php _e('Zone','wp-addpub'); ?></th>
		<td width="66%"><input name="banner_zone" type="text" id="banner_zone" value="<?php  if ( $msg || $_POST['banner_zone'] != "" ) echo htmlentities(stripslashes($_POST['banner_zone']),ENT_QUOTES,get_option('blog_charset')); elseif ( !$new && $_POST['banner_zone'] == "" ) echo htmlentities(stripslashes($Recordset->zone),ENT_QUOTES,get_option('blog_charset'));?>" /></td>
	</tr>
    <tr class="form-field">
		<th scope="row" width="33%"><?php _e('Filter','wp-addpub'); ?></th>
		<td width="66%"><input name="banner_filter" type="text" id="banner_filter" value="<?php  if ( $msg || $_POST['banner_filter'] != "" ) echo htmlentities(stripslashes($_POST['banner_filter']),ENT_QUOTES,get_option('blog_charset')); elseif ( !$new && $_POST['banner_filter'] == "" ) echo htmlentities(stripslashes($Recordset->filter),ENT_QUOTES,get_option('blog_charset'));?>" /></td>
	</tr>
    <tr class="form-field form-required">
		<th scope="row" width="33%"><?php _e('Target (required)','wp-addpub'); ?></th>
		<td width="66%">
            <select name="banner_target">
                <option value="self" <?php if ( (!$new && $Recordset->target == "_SELF") || $_POST['banner_target'] == "self") echo "SELECTED"; elseif ( $new )  echo "SELECTED"; ?>>_SELF</option>
                <option value="blank" <?php if ( (!$new && $Recordset->target == "_BLANK") || $_POST['banner_target'] == "" ) echo "SELECTED"; ?>>_BLANK</option>
            </select>
        </td>
	</tr>
    <tr class="form-field form-required">
		<th scope="row" width="33%"><?php _e('Type','wp-addpub'); ?></th>
		<td width="66%">
			<input type="radio" name="banner_type" value="file" <?php if ( $new || $_POST['banner_type'] == "file" ) echo "checked"; elseif ( $_POST['banner_html'] == "" && basename($Recordset->file_url ) ) echo "checked";?> onclick="document.getElementById('file_line').style.display='';document.getElementById('html_line').style.display='none';" /><?php _e('FILE','wp-addpub'); ?><br />
            <input type="radio" name="banner_type" value="html" <?php if ( $_POST['banner_html'] != "" || (!$new && $Recordset->file_url=="" ) ) echo "checked";?> onclick="document.getElementById('file_line').style.display='none';document.getElementById('html_line').style.display='';document.getElementById('banner_html').focus();" /><?php _e('HTML','wp-addpub'); ?>
        </td>
	</tr>
    <tr class="form-field form-required" id="file_line" <?php if( !basename($Recordset->file_url) && !$new) echo 'style="display:none;"';?>>
		<th scope="row" width="33%"><?php _e('Upload file (required)','wp-addpub'); ?></th>
		<td width="66%"><input name="banner_file" type="file" id="banner_file" value="" /><?php if ( !$new) echo "<br />".__("Leave blank, if you don't want to change the file :")."<strong>".basename($Recordset->file_url)."</strong>";?><br /><?php _e("(Only the following format are accepted : jpg, jpeg, gif, png, swf)",'wp-addpub');?></td>
	</tr>
	<tr class="form-field form-required" id="html_line" <?php if( ($new && $_POST['banner_type'] != "html") || basename($Recordset->file_url) ) echo 'style="display:none;"';?>>
		<th scope="row" width="33%"><?php _e('HTML Code (required)','wp-addpub'); ?></th>
		<td width="66%"><textarea name="banner_html" id="banner_html" cols="80" rows="10"><?php  if ( $msg || $_POST['banner_html'] != "") echo htmlentities(stripslashes($_POST['banner_html']),ENT_QUOTES,get_option('blog_charset')); elseif ( !$new && $_POST['banner_html'] == "") echo htmlentities(stripslashes($Recordset->html_code),ENT_QUOTES,get_option('blog_charset'));?></textarea></td>
	</tr>
    <tr class="form-field ">
		<th scope="row" width="33%"><?php _e('Active','wp-addpub'); ?></th>
		<td width="66%"><input name="banner_active" type="checkbox" id="banner_active" <?php  if ( $msg ) echo (($_POST['banner_active'] )?"CHECKED":""); if ( !$new && $Recordset->active ) echo "CHECKED";?> /></td>
	</tr>
</tbody></table>
<p align="center">
    <input type="submit" value="<?php if ( $new ) _e('Add','wp-addpub'); else _e('Edit','wp-addpub');?>" id="addbannersub" name="addbanner"/>
</p>
</form>
<table style="color: red;">
<tbody class="list:user" id="user-list">
</tbody>
</table>

</div>
</div>
</div>

<?php }

# add link to menu
function wp_addpub_menu($s) {
    // ajouter un sous-menu dans le menu Options
    // add_submenu_page( $parent, $page_title, $menu_title, $access_level, $file, $function = '' )
	add_submenu_page('options-general.php', 'WP Addpub', 'WP AddPub', 1, __FILE__, 'wp_addpub_page');
	return $s;
}

add_action('admin_menu', 'wp_addpub_menu');


?>
